> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Plaid Verification

Updates an existing AccountVerificationSession object of type `plaid`.

## Path Parameters

## Body

## Returns

Returns an AccountVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "plaid": {
      "balances" : {
        "available" : 100,
        "current" : 110,
        "iso_currency_code" : "USD",
        "limit" : null,
        "unofficial_currency_code" : null
      },
      "transactions": [
        ...
      ]
  }'
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .verificationSessions
  .update('avf_DjkdemgTQfqRD', {
    plaid: {
      balances: {
        available: 100,
        current: 110,
        iso_currency_code: 'USD',
        limit: null,
        unofficial_currency_code: null
      },
      transactions: [
        ...
      ]
    }
  });
```

```python Python theme={null}
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .verification_sessions
  .update('avf_DjkdemgTQfqRD', {
    'plaid': {
      'balances': {
        'available': 100,
        'current': 110,
        'iso_currency_code': 'USD',
        'limit': None,
        'unofficial_currency_code': None
      },
      'transactions': [
        ...
      ]
    }
  })
```

```json theme={null}
{
  "id": "avf_DjkdemgTQfqRD",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "verified",
  "error": null,
  "type": "plaid",
  "plaid": {
    "balances": {
      "available": 100,
      "current": 110,
      "iso_currency_code": "USD",
      "limit": null,
      "unofficial_currency_code": null,
    },
    "transactions": [ ... ]
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.